<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>DefaultListDelimiterHandler (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DefaultListDelimiterHandler (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DefaultListDelimiterHandler.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/convert/DefaultConversionHandler.html" title="class in org.apache.commons.configuration2.convert"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/convert/DisabledListDelimiterHandler.html" title="class in org.apache.commons.configuration2.convert"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/convert/DefaultListDelimiterHandler.html" target="_top">Frames</a></li>
<li><a href="DefaultListDelimiterHandler.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.convert</div>
<h2 title="Class DefaultListDelimiterHandler" class="title">Class DefaultListDelimiterHandler</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/apache/commons/configuration2/convert/AbstractListDelimiterHandler.html" title="class in org.apache.commons.configuration2.convert">org.apache.commons.configuration2.convert.AbstractListDelimiterHandler</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.convert.DefaultListDelimiterHandler</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/convert/ListDelimiterHandler.html" title="interface in org.apache.commons.configuration2.convert">ListDelimiterHandler</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">DefaultListDelimiterHandler</span>
extends <a href="../../../../../org/apache/commons/configuration2/convert/AbstractListDelimiterHandler.html" title="class in org.apache.commons.configuration2.convert">AbstractListDelimiterHandler</a></pre>
<div class="block"><p>
 The default implementation of the <code>ListDelimiterHandler</code> interface.
 </p>
 <p>
 This class supports list splitting and delimiter escaping using a delimiter
 character that can be specified when constructing an instance. Splitting of
 strings works by scanning the input for the list delimiter character. The
 list delimiter character can be escaped by a backslash. So, provided that a
 comma is configured as list delimiter, in the example <code>val1,val2,val3</code>
 three values are recognized. In <code>3\,1415</code> the list delimiter is escaped
 so that only a single element is detected. (Note that when writing these
 examples in Java code, each backslash has to be doubled. This is also true
 for all other examples in this documentation.)
 </p>
 <p>
 Because the backslash has a special meaning as escaping character it is
 always treated in a special way. If it occurs as a normal character in a
 property value, it has to be escaped using another backslash (similar to the
 rules of the Java programming language). The following example shows the
 correct way to define windows network shares: <code>\\\\Server\\path</code>. Note
 that each backslash is doubled. When combining the list delimiter with
 backslashes the same escaping rules apply. For instance, in
 <code>C:\\Temp\\,D:\\data\\</code> the list delimiter is recognized; it is not
 escaped by the preceding backslash because this backslash is itself escaped.
 In contrast, <code>C:\\Temp\\\,D:\\data\\</code> defines a single element with a
 comma being part of the value; two backslashes after <code>Temp</code> result in a
 single one, the third backslash escapes the list delimiter.
 </p>
 <p>
 As can be seen, there are some constellations which are a bit tricky and
 cause a larger number of backslashes in sequence. Nevertheless, the escaping
 rules are consistent and do not cause ambiguous results.
 </p>
 <p>
 Implementation node: An instance of this class can safely be shared between
 multiple <code>Configuration</code> instances.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: DefaultListDelimiterHandler.java 1790899 2017-04-10 21:56:46Z ggregory $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.commons.configuration2.convert.ListDelimiterHandler">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.apache.commons.configuration2.convert.<a href="../../../../../org/apache/commons/configuration2/convert/ListDelimiterHandler.html" title="interface in org.apache.commons.configuration2.convert">ListDelimiterHandler</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/convert/ListDelimiterHandler.html#NOOP_TRANSFORMER">NOOP_TRANSFORMER</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/convert/DefaultListDelimiterHandler.html#DefaultListDelimiterHandler-char-">DefaultListDelimiterHandler</a></span>(char&nbsp;listDelimiter)</code>
<div class="block">Creates a new instance of <code>DefaultListDelimiterHandler</code> and sets
 the list delimiter character.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/convert/DefaultListDelimiterHandler.html#escapeList-java.util.List-org.apache.commons.configuration2.convert.ValueTransformer-">escapeList</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;?&gt;&nbsp;values,
          <a href="../../../../../org/apache/commons/configuration2/convert/ValueTransformer.html" title="interface in org.apache.commons.configuration2.convert">ValueTransformer</a>&nbsp;transformer)</code>
<div class="block">Escapes all values in the given list and concatenates them to a single
 string.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/convert/DefaultListDelimiterHandler.html#escapeString-java.lang.String-">escapeString</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;s)</code>
<div class="block">Escapes the specified string.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>char</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/convert/DefaultListDelimiterHandler.html#getDelimiter--">getDelimiter</a></span>()</code>
<div class="block">Returns the list delimiter character used by this instance.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/convert/DefaultListDelimiterHandler.html#splitString-java.lang.String-boolean-">splitString</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;s,
           boolean&nbsp;trim)</code>
<div class="block">Actually splits the passed in string which is guaranteed to be not
 <b>null</b>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.convert.AbstractListDelimiterHandler">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.convert.<a href="../../../../../org/apache/commons/configuration2/convert/AbstractListDelimiterHandler.html" title="class in org.apache.commons.configuration2.convert">AbstractListDelimiterHandler</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/convert/AbstractListDelimiterHandler.html#escape-java.lang.Object-org.apache.commons.configuration2.convert.ValueTransformer-">escape</a>, <a href="../../../../../org/apache/commons/configuration2/convert/AbstractListDelimiterHandler.html#parse-java.lang.Object-">parse</a>, <a href="../../../../../org/apache/commons/configuration2/convert/AbstractListDelimiterHandler.html#split-java.lang.String-boolean-">split</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DefaultListDelimiterHandler-char-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DefaultListDelimiterHandler</h4>
<pre>public&nbsp;DefaultListDelimiterHandler(char&nbsp;listDelimiter)</pre>
<div class="block">Creates a new instance of <code>DefaultListDelimiterHandler</code> and sets
 the list delimiter character.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listDelimiter</code> - the list delimiter character</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDelimiter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDelimiter</h4>
<pre>public&nbsp;char&nbsp;getDelimiter()</pre>
<div class="block">Returns the list delimiter character used by this instance.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list delimiter character</dd>
</dl>
</li>
</ul>
<a name="escapeList-java.util.List-org.apache.commons.configuration2.convert.ValueTransformer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>escapeList</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;escapeList(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;?&gt;&nbsp;values,
                         <a href="../../../../../org/apache/commons/configuration2/convert/ValueTransformer.html" title="interface in org.apache.commons.configuration2.convert">ValueTransformer</a>&nbsp;transformer)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/convert/ListDelimiterHandler.html#escapeList-java.util.List-org.apache.commons.configuration2.convert.ValueTransformer-">ListDelimiterHandler</a></code></span></div>
<div class="block">Escapes all values in the given list and concatenates them to a single
 string. This operation is required by configurations that have to
 represent properties with multiple values in a single line in their
 external configuration representation. This may require an advanced
 escaping in some cases.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>values</code> - the list with all the values to be converted to a single
        value</dd>
<dd><code>transformer</code> - a <code>ValueTransformer</code> for an additional encoding
        (must not be <b>null</b>)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the resulting escaped value</dd>
</dl>
</li>
</ul>
<a name="escapeString-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>escapeString</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;escapeString(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;s)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/convert/AbstractListDelimiterHandler.html#escapeString-java.lang.String-">AbstractListDelimiterHandler</a></code></span></div>
<div class="block">Escapes the specified string. This method is called by <code>escape()</code>
 if the passed in object is a string. Concrete subclasses have to
 implement their specific escaping logic here, so that the list delimiters
 they support are properly escaped.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/convert/AbstractListDelimiterHandler.html#escapeString-java.lang.String-">escapeString</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/convert/AbstractListDelimiterHandler.html" title="class in org.apache.commons.configuration2.convert">AbstractListDelimiterHandler</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - the string to be escaped (not <b>null</b>)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the escaped string</dd>
</dl>
</li>
</ul>
<a name="splitString-java.lang.String-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>splitString</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;splitString(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;s,
                                         boolean&nbsp;trim)</pre>
<div class="block">Actually splits the passed in string which is guaranteed to be not
 <b>null</b>. This method is called by the base implementation of the
 <code>split()</code> method. Here the actual splitting logic has to be
 implemented. This implementation reverses the escaping done by the
 <code>escape()</code> methods of this class. However, it tries to be tolerant
 with unexpected escaping sequences: If after the escape character "\" no
 allowed character follows, both the backslash and the following character
 are output.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/convert/AbstractListDelimiterHandler.html#splitString-java.lang.String-boolean-">splitString</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/convert/AbstractListDelimiterHandler.html" title="class in org.apache.commons.configuration2.convert">AbstractListDelimiterHandler</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - the string to be split (not <b>null</b>)</dd>
<dd><code>trim</code> - a flag whether the single components have to be trimmed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a collection with the extracted components of the passed in
         string</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DefaultListDelimiterHandler.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/convert/DefaultConversionHandler.html" title="class in org.apache.commons.configuration2.convert"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/convert/DisabledListDelimiterHandler.html" title="class in org.apache.commons.configuration2.convert"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/convert/DefaultListDelimiterHandler.html" target="_top">Frames</a></li>
<li><a href="DefaultListDelimiterHandler.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
